! ###########################################################
!                 SDSU v2 LUT creation routines
!                         - MAKETAB -
!
! This program creates look-up tables of Mie coefficients.
! 
!                 Updated from maketab.f by H. M. (May, 2009)
!
 Program MAKETAB
   Use LUTparameters
   Use MCRPparameters
   Implicit NONE
!
! Miccrophysical settings
!
   Call microp_set
!
! LUT parameter settings
!
   Call paramLUT_set
!
! ### Ouput kext, salb, and asym for microwave radiometer simulation ###
!
   If ( microw ) Call mktab_mwr
!
! ### Ouput kext and pbck for radar simulation ###
!
   If ( radar )  Call mktab_rdr
!
! ### Ouput kext, salb, and phsf for visible/IR simulation ###
!
   If ( visIR ) Call mktab_vir
!
 end Program MAKETAB
