! ############################################################
!            Satellite Data Simulation Unit v2
!                    -  in_radar_bmcv -
!
! This subroutine reads in computed radar echo.
!
!              Updated from convolv-fov.f by H. M. (May, 2009)
!
 Subroutine in_radar_bmcv ( ifile )
   Use MAINparameters
   Use BMCVparameters
   Implicit NONE
!
! I/O parameters
!
   Integer, intent(in) :: ifile
!
! Local variables
!
   Character*100 pathandfile,filename
   Integer :: i, j, k, nf
!
   filename = CRM_file_list(ifile)
!
! Data dimensions in ascii format
!
   pathandfile = outputdir//trim(filename)//'.rdr.info'
   open(unit= 16, file = pathandfile, status = 'old', form = 'formatted')
   read(16,51) ngridx, ngridy, nlyr, deltax, deltay
51 format(i3,' x ',i3,' (x,y) grid; ',i3,' layers; ', &
             ' deltax = ',f6.2,' km','  deltay = ',f6.2,' km')
!
   allocate ( dBZ_out(mxfreq_radar,ngridx,ngridy,nlyr) )
   allocate ( PIA_out(mxfreq_radar,ngridx,ngridy) )
!
! Read in radarave brightness temperature at the original resolution
!
   pathandfile = outputdir//trim(filename)//'.rdr.org'
   open(unit= 21, file = pathandfile, access = 'direct', &
                  recl = (nlyr+1)*ngridx*ngridy*mxfreq_radar*4 )
!
   read(21,rec=1)((((dBZ_out(nf,i,j,k),i=1,ngridx),j=1,ngridy), &
                                                     k=1,nlyr), &
                   ((PIA_out(nf,i,j)  ,i=1,ngridx),j=1,ngridy), &
                                            nf=1,mxfreq_radar)
!
   Close (16) ; Close (21)
!
   Return
 End Subroutine in_radar_bmcv
