! ############################################################
!            Satellite Data Simulation Unit v2
!                   -  out_visir_bmcv -
!
! This subroutine writes out visible/IR radiance with beam 
! convolution applied.
!
!              Updated from convolv-fov.f by H. M. (May, 2009)
!
 Subroutine out_visir_bmcv ( ifile )
   Use MAINparameters
   Use BMCVparameters
   Implicit NONE
!
! I/O parameters
!
   Integer, intent(in) :: ifile
!
! Local variables
!
   Character*100 pathandfile,filename
   Integer :: i, j, iw
!
   filename = CRM_file_list(ifile)
!
! Write out visible/IR radiance at the FOV resolution
!
   pathandfile = outputdir//trim(filename)//'.vir.fov'
   open(unit= 32, file = pathandfile, access = 'direct', &
                  recl = ngridx*ngridy*mxwavel*4)
!
   write(32,rec=1) (((Ivir_out(i,j,iw),i=1,ngridx),j=1,ngridy),iw=1,mxwavel)
!
   deallocate ( Ivir_out )
   Close ( 32 )
!
   Return
 End Subroutine out_visir_bmcv
